(* this unit StandardCtrls.pas are part of Koganion IDE (RqWork6)
   copyright (c)2020 vasile eodor nastasa
   web: http://www.rqwork.de
   mail: nastasa.eodor@gmail.com
*)

unit StandardCtrls;

interface


uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, GUI;

type
   QStaticText=class(QWinControl)
   private
      fClick :QEvent;
   protected
      procedure DoMessage(var m:QMessage); override;
   public
      constructor Create(AOwner:QComponent); override;
   published   
      property OnClick:QEvent read fClick write fClick;
   end;

implementation

{ QStaticText }
constructor QStaticText.Create(AOwner:QComponent);
begin
    inherited;
    ClassName:='QStaticText';
    ClassAncestor:='static';
    Width:=97;
    Height:=17;
    Style:=ws_child or ss_notify;
end;

procedure QStaticText.DoMessage(var m:QMessage);
begin 
    if m.msg=cm_command then begin
       if m.lparam=stn_clicked then
          if Assigned(fClick) then fClick(self);
    end
end;

initialization
   RegisterClasses([QStaticText]);
finalization
   unRegisterClasses([QStaticText]);
   
end.
